package org.fuseri.model.dto.exercise;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

@AllArgsConstructor
@Getter
public class QuestionCreateDto {

    @NotBlank
    private String text;

    @NotBlank
    private String exerciseId;

    @Valid
    private List<AnswerInQuestionCreateDto> answers;
}
